From 37064734fc96f9ad4cdaf833fe967b94e59c760f Mon Sep 17 00:00:00 2001
From: Josh Blum <josh@joshknows.com>
Date: Wed, 4 Nov 2020 08:14:16 -0600
Subject: [PATCH 03/10] Fix for getBandwidthRange() for SOAPY_SDR_RX

---
 Changelog.txt      | 5 +++++
 SoapyUHDDevice.cpp | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/Changelog.txt b/Changelog.txt
index f008c6d..e927065 100644
--- a/Changelog.txt
+++ b/Changelog.txt
@@ -1,3 +1,8 @@
+Release 0.4.1 (pending)
+==========================
+
+- Fix for getBandwidthRange() for SOAPY_SDR_RX
+
 Release 0.4.1 (2020-09-20)
 ==========================
 
diff --git a/SoapyUHDDevice.cpp b/SoapyUHDDevice.cpp
index afdc0c6..7eb96ac 100644
--- a/SoapyUHDDevice.cpp
+++ b/SoapyUHDDevice.cpp
@@ -756,7 +756,7 @@ public:
     SoapySDR::RangeList getBandwidthRange(const int dir, const size_t channel) const
     {
         if (dir == SOAPY_SDR_TX) return metaRangeToRangeList(_dev->get_tx_bandwidth_range(channel));
-        if (dir == SOAPY_SDR_RX) return metaRangeToRangeList(_dev->get_tx_bandwidth_range(channel));
+        if (dir == SOAPY_SDR_RX) return metaRangeToRangeList(_dev->get_rx_bandwidth_range(channel));
         return SoapySDR::Device::getBandwidthRange(dir, channel);
     }
 
-- 
2.39.5

